package com.bytedance.android.live.wallet.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class CustomizedDiamond {
    public static final Long LIZ = 0L;
    public static final Integer LIZIZ = 0;
    public static final Integer LIZJ = 0;
    public static final Float LIZLLL = Float.valueOf(0.0f);
    public static final Integer LJ = 0;
    @c(LIZ = "id")
    public Long LJFF;
    @c(LIZ = "price_min")
    public Integer LJI;
    @c(LIZ = "price_max")
    public Integer LJII;
    @c(LIZ = "diamond_count_rate")
    public Float LJIIIIZZ;
    @c(LIZ = "giving_count")
    public Integer LJIIIZ;
    @c(LIZ = "describe")
    public String LJIIJ;
    @c(LIZ = "coupon_id")
    public String LJIIJJI;

    static {
        Covode.recordClassIndex(10896);
    }

    public final String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.LJFF != null) {
            sb.append(", id=");
            sb.append(this.LJFF);
        }
        if (this.LJI != null) {
            sb.append(", price_min=");
            sb.append(this.LJI);
        }
        if (this.LJII != null) {
            sb.append(", price_max=");
            sb.append(this.LJII);
        }
        if (this.LJIIIIZZ != null) {
            sb.append(", diamond_count_rate=");
            sb.append(this.LJIIIIZZ);
        }
        if (this.LJIIIZ != null) {
            sb.append(", giving_count=");
            sb.append(this.LJIIIZ);
        }
        if (this.LJIIJ != null) {
            sb.append(", describe=");
            sb.append(this.LJIIJ);
        }
        if (this.LJIIJJI != null) {
            sb.append(", coupon_id=");
            sb.append(this.LJIIJJI);
        }
        sb.replace(0, 2, "CustomizedDiamond{");
        sb.append('}');
        return sb.toString();
    }
}
